#
# Cookbook Name:: pulp
# Recipe:: admin
#
# Copyright 2014, Marius Karnauskas
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Pulp admin console tools
#
%w{pulp-admin-client pulp-rpm-admin-extensions}.each do |pkg|
    package pkg do
        action :install
    end
end

directory '/etc/pulp/admin/conf.d' do
    owner 'root'
    group 'root'
    mode '0755'
    recursive true
end

template '/etc/pulp/admin/admin.conf' do
    source 'admin.conf.erb'
    variables(
        :config => node['pulp']['admin']
    )
end
